Package org.apache.batchee.extras.chain

## Class ChainBatchlet

- java.lang.Object
- - org.apache.batchee.extras.chain.Chain<javax.batch.api.Batchlet>
  - - org.apache.batchee.extras.chain.ChainBatchlet

- All Implemented Interfaces:
    `javax.batch.api.Batchlet`

      public class ChainBatchlet
      extends Chain<javax.batch.api.Batchlet>
      implements javax.batch.api.Batchlet

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.extras.chain.Chain

      `chain, forceRelease, locator, separator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChainBatchlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `invoke​(BeanLocator.LocatorInstance<javax.batch.api.Batchlet> next, Object current)` |
    `String` | `process()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.apache.batchee.extras.chain.Chain

      `findType, getBeanLocator, runChain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainBatchlet

          public ChainBatchlet()

  - ### Method Detail

    - #### process

          public String process()
                         throws Exception

      Specified by:
        `process` in interface `javax.batch.api.Batchlet`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `javax.batch.api.Batchlet`
      Throws:
        `Exception`

    - #### invoke

          protected Object invoke​(BeanLocator.LocatorInstance<javax.batch.api.Batchlet> next,
                                  Object current)
                           throws Exception

      Specified by:
        `invoke` in class `Chain<javax.batch.api.Batchlet>`
      Throws:
        `Exception`